import request from '@/utils/request'

// 查询云南人口数据导入列表
export function listDPopulationDataInfo(query) {
  return request({
    url: '/dimp/dPopulationDataInfo/list',
    method: 'get',
    params: query
  })
}

// 查询云南人口数据导入详细
export function getDPopulationDataInfo(id) {
  return request({
    url: '/dimp/dPopulationDataInfo/' + id,
    method: 'get'
  })
}

// 新增云南人口数据导入
export function addDPopulationDataInfo(data) {
  return request({
    url: '/dimp/dPopulationDataInfo',
    method: 'post',
    data: data
  })
}

// 修改云南人口数据导入
export function updateDPopulationDataInfo(data) {
  return request({
    url: '/dimp/dPopulationDataInfo',
    method: 'put',
    data: data
  })
}

// 删除云南人口数据导入
export function delDPopulationDataInfo(id) {
  return request({
    url: '/dimp/dPopulationDataInfo/' + id,
    method: 'delete'
  })
}
